Sei sulla pagina 1di 1

Eclipse + RadRails

Sviluppiamo con RoR e Eclipse


Se si e' costretti a dover utilizzare un # sudo apt­get install eclipse per far si che funzioni insieme a
ambiente di sviluppo evoluto per rails.
portar avanti le proprie applicazioni Avviamo per la prima volta eclipse
RoR (Ahime' non stiamo parlando di appena installato e seguiamo questi 6. Si selezioni tutte le caselle e si
emacs :­p), una delle scelte puo' semplici passi per poter installare il prema su "Install"
essere quella di utilizzare Eclipse e plugin
aggiungere il plugin sviluppato da 7. Controllare nella console appena
Aptana denominato RadRails[1]. 1. Dal menu "Help" si seleziona dietro se qualche gemma ha
Purtroppo ubuntu per poter gestire "Installa new software..." riportato qualche errore. Per
l'installazione e rimozione delle esempio nella mia esperienza sqlite­
gemme, ha deciso di creare i 2. Nella textbox in alto (quella ruby mi da' un errore di
pacchetti per ognuna di esse, ma denotata come "Work with") compilazione e siccome non la uso
questo fa' si che radrails non riesca a inseriamo il seguente link e diamo ho deciso di ignorarla durante
riconoscere l'installazione delle un invio dalla tastiera: l'installazione
stesse. Per ovviare a questo problema
si e' pensato di installarle http://download.aptana.com/tools/r NB: se utilizzate altre gemme che
direttamente utilizzando rubygems. adrails/plugin/install/radrails­ non vengono elencate tipo il
Vediamo come fare! bundle supporto a mysql dovrete installarle
a mano tramite il comando
Prima di tutto e' necessario installare 3. Mettiamo una spunta nella
i seguenti pacchetti, se non si hanno textarea in basso col nome "Rails" e # sudo gem install mysql
gia' sul proprio sistema: premiamo su next
Fatto questo, create un nuovo
# sudo apt­get install libopenssl­ 4. Dopo il calcolo delle dipendenze e progetto di tipo Rails e buon
ruby ruby ruby­dev rubygems un po' di riscaldamento del divertimento!!!
processore diamo un paio di next e
Dopo cio' aggiorniamo subito arriviamo all'accettazione della PS: E' possibile che abbiate gia'
rubygems in questo modo: licenza; dopo di che' possiamo sviluppato applicazioni in rails e
premere sul tasto "Finish". magari con una versione vecchia
# sudo gems install rubygems­ dello stesso. Per aggiornare il vostro
update NB: Se questo tasto non e' abilitato applicativo potete semplicemente
dopo aver accettato la licenza tornare posizionarvi nella specifica
# sudo /var/lib/gems/1.8/tools indietro al passo 2 e ripetere le directory e digitare il comando:
/bin/update_rubygems operazioni.
# rake rails:update
Per controllare se e' stata installata la NB: Eclipse richiedera' di installare
versione 1.3.7 vi bastera' digitare: da delle fonti non sicure perche' non E' possibile che vi dia anche errore
riconosciute. Potete non curarvi di la variabile RAILS_GEM_VERSION
# gem ­v cio' e scegliere "Yes" all'interno del file config/
environment.rb che va' settata alla
Installiamo anche eclipse e teniamoci 5. Fatto questo riavviate eclipse e versione di rails corrente (2.3.4)
pronti ad aggiungere il plugin appena avviato vi chiedera' se
radrails: installare tutte le gemme necessarie

RadRails ­ http://aptana.com/products/radrails
Eclipse ­ http://www.eclipse.org

Eclipse + RadRails ­ Angelo "sYdRo" D'Autilia